%define	__prefix	/usr/local

Summary: dlcompat for Darwin
Name: dlcompat
%define version 20021001
Version: %{version}
Release: 1a
Group: System Environment/Libraries
Source: localhost:/dlcompat-%{version}.tar.gz
Copyright: (c) 2002 Jorge Acereda <jacereda@users.sourceforge.net>
BuildRoot: %{_tmppath}/%{name}-root
provides: libdl.dylib

%description
This is dlcompat, a small library that emulates the dlopen()
interface on top of Darwin's dyld API.

dlcompat allows loading a ".dylib" library (as long as the RTLD_LOCAL 
flag isn't passed to dlopen()). It can be configured to yield a warning 
when trying to close it (dynamic libraries cannot currently be unloaded).

It automatically searches for modules in several directories when no 
absolute path is specified and the module is not found in the current 
directory.

The paths searched are those specified in the environment variables
LD_LIBRARY_PATH and DYLD_LIBRARY_PATH plus /lib, /usr/local/lib and 
/usr/lib or the path specified in the environment variable 
DYLD_FALLBACK_LIBRARY_PATH.

%prep
%setup -n %{name}

%build
make -f fink.mk

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{__prefix}
mkdir -p $RPM_BUILD_ROOT/bin

make -f fink.mk prefix="$RPM_BUILD_ROOT"%{__prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,wheel)
%doc LICENSE ChangeLog README TODO

%{__prefix}/include/dlfcn.h
%{__prefix}/lib/libdl.*dylib
%{__prefix}/lib/libdl.a


%changelog
* Tue Oct 01 2002 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release on MacOS X Release 10.2: version 2001023 maintained by Peter O'Gorman <ogorman@users.sourceforge.net>

* Wed Oct 10 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release on MacOS X Release 10.1: version 2001023 by Christoph Pfisterer <cp@chrisp.de>

* Fri Apr 20 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release on MacOS X Release: version 2001023 by Christoph Pfisterer <cp@chrisp.de>

* Tue Mar 27 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release on MacOS X PB: version 2001023 by Christoph Pfisterer <cp@chrisp.de>
